> For the complete documentation index, see [llms.txt](https://docs.compendium.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compendium.finance/pendax/using-pendax-sdk/bingx-functions/account-usdt-m.md).

# Account (USDT-M)

## Query account data

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/account-api.html#Query+account+data>
{% endhint %}

#### Function Name:

```javascript
getAccountDataUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "bingx"
  });

async function getAccountDataUM(exchange, options) {
    try {
        let result = await exchange.getAccountDataUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getAccountDataUM(myBingxExchange);
```

## Query position data

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/account-api.html#Query+position+data>
{% endhint %}

#### Function Name:

```javascript
getPositionDataUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "bingx"
  });

async function getPositionDataUM(exchange, options) {
    try {
        let result = await exchange.getPositionDataUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getPositionDataUM(myBingxExchange);
```

## Get Account Profit and Loss Fund Flow

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/account-api.html#Get+Account+Profit+and+Loss+Fund+Flow>
{% endhint %}

#### Function Name:

```javascript
getAccountPLFundFlowUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "bingx"
  });

async function getAccountPLFundFlowUM(exchange, options) {
    try {
        let result = await exchange.getAccountPLFundFlowUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getAccountPLFundFlowUM(myBingxExchange);
```

## Export fund flow

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/account-api.html#Export+fund+flow>
{% endhint %}

#### Function Name:

```javascript
exportFundFlowUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "bingx"
  });

async function exportFundFlowUM(exchange, options) {
    try {
        let result = await exchange.exportFundFlowUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await exportFundFlowUM(myBingxExchange);
```

## Query Trading Commission Rate

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/account-api.html#Query+Trading+Commission+Rate>
{% endhint %}

#### Function Name:

```javascript
getTradingCommissionRateUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getTradingCommissionRateUM(exchange, options) {
    try {
        let result = await exchange.getTradingCommissionRateUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getTradingCommissionRateUM(myBingxExchange);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/bingx-functions/account-usdt-m.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
